Page MenuHomePhabricator

Post final requirements and implementation plan to proposal page
Closed, ResolvedPublic

Description

This task represents the work involved with updating the New requirements for user signatures project page so it reflects the final signature requirements and includes the plan for implementing and communicating those changes.

Proposal page updates

  1. Update the contents of the New requirements for user signatures project page's "Proposal: signature validation requirements" section so it matches the final requirements.
    • Final requirements can be found in the "Final requirements" section of T248632's task description.
  2. Create a new section on the New requirements for user signatures page that describes the way in which the new requirements will be implemented and communicated.
    • Details about the implementation plan can be found in the "Implementation plan" section of T248632's task description.
  3. Post an update to the New requirements for user signatures talk page alerting people of the final requirements and implementation plan.

Done

  • The updates described in "Proposal page updates" section above have been made.

Related Objects

Event Timeline

ppelberg created this task.Jun 5 2020, 5:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2020, 5:30 PM
ppelberg updated the task description. (Show Details)
ppelberg added subscribers: matmarex, Whatamidoing-WMF.

Meeting notes
@Whatamidoing-WMF is going to complete this task, per the conversation we had yesterday.

Next steps
Once work on this task is complete, work on T254614 can begin.

Whatamidoing-WMF added a comment.EditedJun 18 2020, 4:35 PM

This is done, except that I'd like to add a basic timeline (e.g., will the software change reach the wikis next week, next month, next quarter?)

Whatamidoing-WMF triaged this task as High priority.Jun 19 2020, 8:17 PM
Whatamidoing-WMF closed this task as Resolved.Mon, Jul 27, 9:45 PM

Yes, it's done.